Skip to main content
`Ctrl`+`K`

# TaoDefaultComputeHessianColor

Computes the Hessian using colored finite differences.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultComputeHessianColor(Tao tao, Vec V, Mat H, Mat B, void *ctx)

Collective

## Input Parameters

- tao - the Tao context

- V - compute Hessian at this point

- ctx - the color object of type `MatFDColoring`

## Output Parameters

- H - Hessian matrix (not altered in this routine)

- B - newly computed Hessian matrix to use with preconditioner (generally the same as H)

## See Also

`Tao`, `MatColoring`, `TaoSetHessian()`, `TaoDefaultComputeHessian()`, `SNESComputeJacobianDefaultColor()`, `TaoSetGradient()`

## Level

advanced

## Location

src/tao/interface/fdiff.c

## Examples

src/tao/unconstrained/tutorials/minsurf2.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages